#define GLOBAL_DEBUG 1
#include <Wire.h>

#include "SparkFun_Qwiic_MP3_Trigger_Arduino_Library.h"
MP3TRIGGER mp3;


byte track = 0; // global variable to store which track number I wanna play
                // this is updated when we see a new rfid tag come in.
                
int numberOfSteps = 5; // allows for the stepper motor to constantly spin

byte songCount = 0; // set in setup, by caling mp3.getSongCount()
                    // used to ensure we only send valid file numbers to play

//code for stepper
#define pin1  8 //these are the Arduino pins that we use to activate coils 1-4 of the stepper motor
#define pin2  9
#define pin3  10
#define pin4  11

#define delaytime 8 //changing this value changes the speed of the stepper motor

void setup()
{
  Serial.begin(115200);
  Serial.println("booting up...");
  delay(3000); // wait for Qwiic MP3 board to bootup
  Wire.begin();

  //Check to see if MP3 is present
 if (mp3.begin() == false)
    {
      Serial.println("Qwiic MP3 failed to respond. Please check wiring and possibly the I2C address");
      while (1);
    }

  mp3.setVolume(20); //Volume can be 0 (off) to 31 (max)
  delay(10); // if no serial, need to wait

  Serial.print("Song count: ");
  songCount = mp3.getSongCount();
  delay(10); 

//code for stepper
// initialize the 8 pin as an output:
  pinMode(pin1, OUTPUT);
  pinMode(pin2, OUTPUT); 
  pinMode(pin3, OUTPUT); 
  pinMode(pin4, OUTPUT); 


//  myStepper.setSpeed(120); // <--- try this see how it goes 
  
}

void loop()
{
  
  if (checkTagID() == true) // returns true if a new RFID tag read
    {
      Serial.println("new tag detected");
      Serial.print("track: ");
      Serial.println(track, DEC);
      delay(10); // if no serial, need to wait
      mp3.playFile(track); //plays the song associated with the tag

  delay(50);
  }
  step_OFF();
  while(numberOfSteps>0){
    forward();
    numberOfSteps--;
  }
  numberOfSteps+=5;

    {
      Serial.print("\ttrack: ");
      Serial.println(track);
    }
delay(50); // debounce
}
